// Copyright GreenKeeper Software 2005

#import <Cocoa/Cocoa.h>

// Responsible for connecting the Preferences model to the interface
@interface PreferencesController : NSObject
{
	// Interface components
    IBOutlet NSWindow *window;
	IBOutlet NSButton *displayLogOnAppLaunchButton;
    IBOutlet NSButton *startBoincOnAppLaunchButton;
	IBOutlet NSTextField *logBufferField;
	IBOutlet NSButtonCell *unlimitedScrollbackButton;
	IBOutlet NSButtonCell *linesButton;
	IBOutlet NSMatrix *proxyMatrix;
	IBOutlet NSTextField *proxyAddressField;
	IBOutlet NSButton *setPasswordButton;
	IBOutlet NSWindow *setProxyPasswordSheet;
	IBOutlet NSTextField *proxyUserNameField;
	IBOutlet NSTextField *proxyPasswordField;
}

// Opens the preferences window
- (IBAction)openWindow:(id)sender;

// Opens a sheet to let user set proxy username and password
- (IBAction)openSetProxyPasswordSheet:(id)sender;

// Detaches the setProxyPassword sheet from the preferences window
- (IBAction)closeSetProxyPasswordSheet:(id)sender;

// Saves preferences using current interface values
- (IBAction)savePreferences:(id)sender;

// Called whenever a new proxy button is selected; updates the interface components to reflect the current selection
- (IBAction)updateProxyInterfaceComponents:(id)sender;

// Looks through all the proxy cells and gets the tag for the cell with the given title
- (int)getColumnNumberForProxyCellWithTitle:(NSString *)aTitle;

@end